×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Nov 2008
    Posts
    13

    S60 5th edition applications in 3rd edition phones

    Hi,

    Will applications built with S60 5th edition SDK work in 3rd edition phones? I have built console and UI applications with S60 5th edition SDK and installed them on 3rd edition phones [N95 and E71], but the application never launches.

    We are trying to develop an application that would support all S60 devices (3rd and 5th edition). Does this mean that we have to build this application separately with the 3rd and 5th edition SDKs?

    Thanks,
    Radha

  2. #2
    Super Contributor
    Join Date
    Jul 2008
    Location
    Chennai,India
    Posts
    889

    Re: S60 5th edition applications in 3rd edition phones

    Will applications built with S60 5th edition SDK work in 3rd edition phones?
    It's true that there is a backward compatibilty, u can build the application for S60 3rd edition and it will work fine in both 3rd and 5th edition...I f you find difficulty in this, then you have to take care of any deprecated API's being used...
    Anyways studying the differences/release notes will help a lot...

  3. #3
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: S60 5th edition applications in 3rd edition phones

    Let's put it this way...

    An application written with the S60 5th Edition SDK will most likely not work on an S60 3rd Edition device (unless you're very careful in using only APIs and libraries that are fully binary compatible with S60 3rd Ed.; and such details are not really documented at all and not even compatibility criteria for S60 development as this is about forward compatibility).

    An application written with the S60 3rd Edition SDK might work on the S60 5th Edition device (backward compatibility). The "might" comes from the fact that the only S60 5th Edition device that's out there now is the 5800 XpressMusic and it has not keypad and a touch screen. The next (already announced) device is the N97 which has a QWERTY keyboard, but with its different screen resolution (from any S60 3rd Edition device) and touch screen, many S60 3rd Edition apps will still not work.

    So, if you want to target most of the S60 3rd Edition devices, use the S60 3rd Ed. MR (Maintenance Release) SDK, and use the S60 5th Edition SDK for S60 5th Ed. devices (i.e., two separate programs that can mosly be compiled from the same sources, but still result in separare applications and installation files).

    And if you want to use features in the S60 3rd Edition Feature Pack 1 (FP1) SDKs, or S60 3rd Ed. FP2 SDKs, then you need two more applications/installation files as S60 3rd Ed. FP2 specific things probably won't work on the earlier S60 3rd Ed. devices, and so on.

    You can also isolate version specific bits into separate files (.exe's or .dll's) and package them into one .sisx file and then at installation time pick the right files for the right devices. You then still compile different binaries for different devices/versions, but have only one .sisx file.

  4. #4
    Regular Contributor
    Join Date
    Jul 2012
    Posts
    82

    Re: S60 5th edition applications in 3rd edition phones

    Hi ,

    My application is running fine on the emulator of s60 3rd V1.1.
    But when i am deploying the same on my device(Nokia x6) then i am facing the issue. After installation the error is coming that "Application closed application name KERN-EXEC 3".
    On the device e71 its working fine.
    I also checked the file errrd.
    Need your kind suggestion for the same.


    "It was posted on another thread but as i was not able to reply on that thread so i posted it on this" Sorry for this.

  5. #5
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,165

    Re: S60 5th edition applications in 3rd edition phones

    Quote Originally Posted by akki123 View Post
    Hi ,

    My application is running fine on the emulator of s60 3rd V1.1.
    But when i am deploying the same on my device(Nokia x6) then i am facing the issue. After installation the error is coming that "Application closed application name KERN-EXEC 3".
    On the device e71 its working fine.
    I also checked the file errrd.
    Need your kind suggestion for the same.


    "It was posted on another thread but as i was not able to reply on that thread so i posted it on this" Sorry for this.
    You did have two posts on this already:
    http://www.developer.nokia.com/Commu...lication-in-X6
    http://www.developer.nokia.com/Commu...-compatibility.

    I would not see any problems on replying on those, anyway, you should debug and find the line from which this panic is coming from, its rather hard to guess what could be going wrong, since this error is basically a simple memopry violation error.

Similar Threads

  1. Replies: 8
    Last Post: 2009-01-07, 05:11
  2. speech recognition in s60 3rd edition
    By fatema27 in forum Symbian
    Replies: 10
    Last Post: 2008-08-14, 06:06
  3. Replies: 14
    Last Post: 2007-06-29, 14:26
  4. What is going on with Vibration on S60?
    By amd_rikus in forum Mobile Java General
    Replies: 3
    Last Post: 2006-06-16, 00:29

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×